<?xml version="1.0" encoding="utf-8"?>
<schema xmlns:lampsahellenichotels="http://www.lampsa.gr/20231231" xmlns="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xmlns:xl="http://www.xbrl.org/2003/XLink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" xmlns:esef_cor="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" targetNamespace="http://www.lampsa.gr/20231231" elementFormDefault="qualified">
  <!-- INTEGIX by Ez-XBRL -->
  <import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd"/>
  <import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd"/>
  <import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd"/>
  <import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd"/>
  <import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd"/>
  <annotation>
    <appinfo>
      <link:roleType roleURI="http://www.lampsa.gr/role/NotesAndMandatoryItems" id="NotesAndMandatoryItems">
        <link:definition>0000 - Document - Notes And Mandatory Items</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/attaiikonomiki" id="attaiikonomiki">
        <link:definition>0000 - Statement - Κατάσταση οικονομικής θέσης</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/rdiime" id="rdiime">
        <link:definition>0000 - Statement - Κέρδη ή ζημίες</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/attaietavolndonefalaon" id="attaietavolndonefalaon">
        <link:definition>0000 - Statement - Κατάσταση μεταβολών ιδίων κεφαλαίων</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/attaiameiaknon" id="attaiameiaknon">
        <link:definition>0000 - Statement - Κατάσταση ταμειακών ροών</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/Notes" id="Notes">
        <link:definition>0000 - Disclosure - Notes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/PNLAdditionalCalculations" id="PNLAdditionalCalculations">
        <link:definition>0000 - Statement - PNL additional calculations</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType roleURI="http://www.lampsa.gr/role/Anchoring" id="Anchoring">
        <link:definition>0001 - Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:linkbaseRef xlink:type="simple" xlink:href="213800AQG2XP9JM4TF17-2023-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="213800AQG2XP9JM4TF17-2023-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="213800AQG2XP9JM4TF17-2023-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="213800AQG2XP9JM4TF17-2023-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
      <link:linkbaseRef xlink:type="simple" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase"/>
    </appinfo>
  </annotation>
  <element name="AdjustmentsForDiscontinuedActivities" id="lampsahellenichotels_AdjustmentsForDiscontinuedActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="debit"/>
  <element name="CashFlowsFromPurchaseOrSaleOfTreasuryShares" id="lampsahellenichotels_CashFlowsFromPurchaseOrSaleOfTreasuryShares" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
  <element name="DescriptionOfAccountingPolicyForEquity" id="lampsahellenichotels_DescriptionOfAccountingPolicyForEquity" type="dtr-types:textBlockItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true"/>
  <element name="DisclosureOfIncomeStatementsResultsAnalysis" id="lampsahellenichotels_DisclosureOfIncomeStatementsResultsAnalysis" type="dtr-types:textBlockItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true"/>
  <element name="EarningsBeforeInterestAndTaxFromContinuingActivities" id="lampsahellenichotels_EarningsBeforeInterestAndTaxFromContinuingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
  <element name="EarningsBeforeInterestAndTaxFromDiscontinuedActivities" id="lampsahellenichotels_EarningsBeforeInterestAndTaxFromDiscontinuedActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
  <element name="EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities" id="lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromContinuingActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
  <element name="EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations" id="lampsahellenichotels_EarningsBeforeInterestTaxAndDepreciationFromDiscontinuedOperations" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
  <element name="ProfitLossBeforeTaxFromDiscontinuedActivities" id="lampsahellenichotels_ProfitLossBeforeTaxFromDiscontinuedActivities" type="xbrli:monetaryItemType" abstract="false" xbrli:periodType="duration" substitutionGroup="xbrli:item" nillable="true" xbrli:balance="credit"/>
</schema>